summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMohammadreza Abdollahzadeh2017-07-01 13:50:29 +0430
committerMohammadreza Abdollahzadeh2017-07-01 13:50:29 +0430
commit5a7ec285b235066a05787ff38b54e03bd430ed9d (patch)
treeb66aea0293993c0c9955d879dea4dcd899a96915
downloadaur-5a7ec285b235066a05787ff38b54e03bd430ed9d.tar.gz
initial import
-rw-r--r--.SRCINFO22
-rw-r--r--PKGBUILD41
-rw-r--r--build.patch19
-rw-r--r--gnome-shell-extension.install13
4 files changed, 95 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..bbd49750251
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,22 @@
+# Generated by mksrcinfo v8
+# Sat Jul 1 09:20:02 UTC 2017
+pkgbase = gnome-shell-extension-datetime-format-git
+ pkgdesc = Gnome extension which allows users to customise the datetime format on the status bar and date menu.
+ pkgver = r3.9773e76
+ pkgrel = 1
+ url = https://github.com/Daniel-Khodabakhsh/datetime-format
+ install = gnome-shell-extension.install
+ arch = any
+ license = GPL3
+ makedepends = git
+ makedepends = nodejs
+ depends = gnome-shell>=3.20
+ provides = gnome-shell-extension-datetime-format
+ conflicts = gnome-shell-extension-datetime-format
+ source = gnome-shell-extension-datetime-format::git+https://github.com/Daniel-Khodabakhsh/datetime-format.git
+ source = build.patch
+ sha256sums = SKIP
+ sha256sums = ca11b183e163eb143ea3a7ae937df07bd9759ff141764ac09117364cff8fc10d
+
+pkgname = gnome-shell-extension-datetime-format-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..9d63e54535c
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,41 @@
+# Maintainer: Mohammadreza Abdollahzadeh <morealaz at gmail dot com>
+
+pkgname=gnome-shell-extension-datetime-format-git
+pkgver=r3.9773e76
+pkgrel=1
+pkgdesc="Gnome extension which allows users to customise the datetime format on the status bar and date menu."
+arch=(any)
+url="https://github.com/Daniel-Khodabakhsh/datetime-format"
+license=(GPL3)
+depends=('gnome-shell>=3.20')
+provides=("${pkgname%-git}")
+conflicts=("${pkgname%-git}")
+makedepends=('git' 'nodejs')
+install='gnome-shell-extension.install'
+source=("${pkgname%-git}"::"git+https://github.com/Daniel-Khodabakhsh/datetime-format.git"
+ "build.patch")
+sha256sums=('SKIP'
+ 'ca11b183e163eb143ea3a7ae937df07bd9759ff141764ac09117364cff8fc10d')
+
+pkgver() {
+ cd "$srcdir/${pkgname%-git}"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+prepare() {
+ cd "$srcdir/${pkgname%-git}"
+ patch -p1 -i "${srcdir}/build.patch"
+}
+
+build() {
+ cd "$srcdir/${pkgname%-git}"
+ node build.js system
+}
+
+package() {
+ cd "$srcdir/${pkgname%-git}"
+ cp -a pkg/* $pkgdir/
+}
diff --git a/build.patch b/build.patch
new file mode 100644
index 00000000000..d9d8564346f
--- /dev/null
+++ b/build.patch
@@ -0,0 +1,19 @@
+diff -aru a/build.js b/build.js
+--- a/build.js 2017-07-01 13:02:22.299833000 +0430
++++ b/build.js 2017-07-01 13:33:22.375616961 +0430
+@@ -84,7 +84,7 @@
+ });
+
+ // Get extension path.
+-const installationDirectory = (systemFlag ? "/usr/" : "~/.") + "local/share/gnome-shell/extensions/" + uuid;
++const installationDirectory = process.env.PWD + "/pkg/usr/share/gnome-shell/extensions/" + uuid;
+
+ console.log(`Removing '${installationDirectory}' if it exists.`);
+ ChildProcess.execSync(`rm -rf ${installationDirectory}`);
+@@ -147,4 +147,4 @@
+ // TODO: May want to restart gnome-shell? (gnome-shell --replace)
+ console.log("To complete installation, restart gnome-shell by pressing Alt+F2, typing 'r', and pressing 'Enter'.");
+
+-console.log("Done!");
+\ No newline at end of file
++console.log("Done!");
diff --git a/gnome-shell-extension.install b/gnome-shell-extension.install
new file mode 100644
index 00000000000..484bc1b03f7
--- /dev/null
+++ b/gnome-shell-extension.install
@@ -0,0 +1,13 @@
+post_install() {
+ echo "==> ****************************************************"
+ echo "==> Don't forget to Restart GNOME Shell ([Alt]+[F2], r)."
+ echo "==> ****************************************************"
+}
+
+post_upgrade() {
+ post_install
+}
+
+post_remove() {
+ post_install
+}